public inbox for debugedit@sourceware.org
 help / color / mirror / Atom feed
* [PATCH] Fail if dwz fails.
@ 2021-04-22 11:11 Martin Liška
  2021-05-13  8:01 ` Martin Liška
  0 siblings, 1 reply; 6+ messages in thread
From: Martin Liška @ 2021-04-22 11:11 UTC (permalink / raw)
  To: debugedit; +Cc: Tom de Vries

Right now, dwz return code is 0 or a small integer value (<= 3)
for situations like:

- dwz: Too few files for multifile optimization
- dwz: Multi-file optimization not allowed for different pointer sizes or endianity

These are not fatal errors and the script should continue. On the other
hand abort or segfault error values should cause failure of the script.

Let's reserve values 1-16 for a recoverable dwz exit codes.
---
 scripts/find-debuginfo.sh | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/scripts/find-debuginfo.sh b/scripts/find-debuginfo.sh
index 3d736e0..7fb9b62 100755
--- a/scripts/find-debuginfo.sh
+++ b/scripts/find-debuginfo.sh
@@ -556,6 +556,10 @@ if $run_dwz \
       && dwz_opts="${dwz_opts} -L ${dwz_max_die_limit}"
     if type dwz >/dev/null 2>&1; then
       ( cd "${RPM_BUILD_ROOT}/usr/lib/debug" && dwz $dwz_opts ${dwz_files[@]} )
+      if [ $? -gt 16 ]; then
+        echo >&2 "*** ERROR: DWARF compression failed"
+        exit 3
+      fi
     else
       echo >&2 "*** ERROR: DWARF compression requested, but no dwz installed"
       exit 2
-- 
2.31.1


^ permalink raw reply	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2021-05-17 10:06 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-04-22 11:11 [PATCH] Fail if dwz fails Martin Liška
2021-05-13  8:01 ` Martin Liška
2021-05-13 14:07   ` Mark Wielaard
2021-05-14 10:46     ` Martin Liška
2021-05-16 20:14       ` Mark Wielaard
2021-05-17 10:06         ` Tom de Vries

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).